Loading...
Searching...
No Matches
BALL::GAFFCESParser::CESwildcardsConnectionPredicate Class Reference

`#include <BALL/MOLMEC/AMBER/GAFFCESParser.h>`

Inheritance diagram for BALL::GAFFCESParser::CESwildcardsConnectionPredicate:

## Public Member Functions

| CESwildcardsConnectionPredicate (GAFFCESParser *parser)
| ~CESwildcardsConnectionPredicate ()
void | setNumberOfPartners (Size number)
void | setWildcards (String new_wildcard)
Size | getNumberOfPartners ()
CESwildcards | getWildcards ()
bool | matchWildcards (Atom &atom)
bool | match (Atom &atom)
Public Member Functions inherited from BALL::GAFFCESParser::CESPredicate
| CESPredicate (GAFFCESParser *parser)
virtual | ~CESPredicate ()
void | initStringToWildcard ()
std::map< String, CESwildcards > | getStringToWildcard ()
void | addCESwildcardsConnectionPredicate (String wildcard, Size partners)
void | addCESwildcardsPredicate (String wildcard)
void | addCESelementPredicate (String name)
void | addCESelementConnectionPredicate (Size partners, String name)
void | addTruePredicate () const
virtual bool | operator() (Atom &atom)
void | clear ()
bool | alreadySeenThisAtom (Atom *atom)
void | addNewAND ()
void | addNewOR (APSMatcher::APSType aps, int feature_number)

## Protected Attributes

CESwildcards | wildcards_
Size | numberOfPartners_
Protected Attributes inherited from BALL::GAFFCESParser::CESPredicate
std::map< String, CESwildcards > | stringToWildcard_
GAFFCESParser * | parser_

## Additional Inherited Members

Public Types inherited from BALL::GAFFCESParser::CESPredicate
enum | CESwildcards { XA , XB , XC , XD , XX }
Public Attributes inherited from BALL::GAFFCESParser::CESPredicate
APSMatcher | aps_matcher
std::vector< CESPredicate * > | children
CESPredicate * | parent
Atom * | atom_to_test

## Detailed Description

Definition at line 253 of file GAFFCESParser.h.

## Constructor & Destructor Documentation

## CESwildcardsConnectionPredicate()

BALL::GAFFCESParser::CESwildcardsConnectionPredicate::CESwildcardsConnectionPredicate | ( | GAFFCESParser * | parser | ) |

inline

Definition at line 256 of file GAFFCESParser.h.

## ~CESwildcardsConnectionPredicate()

BALL::GAFFCESParser::CESwildcardsConnectionPredicate::~CESwildcardsConnectionPredicate | ( |  | ) |

## Member Function Documentation

## getNumberOfPartners()

Size BALL::GAFFCESParser::CESwildcardsConnectionPredicate::getNumberOfPartners | ( |  | ) |

## getWildcards()

CESwildcards BALL::GAFFCESParser::CESwildcardsConnectionPredicate::getWildcards | ( |  | ) |

## match()

bool BALL::GAFFCESParser::CESwildcardsConnectionPredicate::match | ( | Atom & | atom | ) |

virtual

Reimplemented from BALL::GAFFCESParser::CESPredicate.

## matchWildcards()

bool BALL::GAFFCESParser::CESwildcardsConnectionPredicate::matchWildcards | ( | Atom & | atom | ) |

## setNumberOfPartners()

void BALL::GAFFCESParser::CESwildcardsConnectionPredicate::setNumberOfPartners | ( | Size | number | ) |

## setWildcards()

void BALL::GAFFCESParser::CESwildcardsConnectionPredicate::setWildcards | ( | String | new_wildcard | ) |

## Member Data Documentation

## numberOfPartners_

Size BALL::GAFFCESParser::CESwildcardsConnectionPredicate::numberOfPartners_

protected

Definition at line 272 of file GAFFCESParser.h.

## wildcards_

CESwildcards BALL::GAFFCESParser::CESwildcardsConnectionPredicate::wildcards_

protected

Definition at line 271 of file GAFFCESParser.h.